Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawableStrokeWidth Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableStrokeWidth:
[legend]
Collaboration diagram for Magick::DrawableStrokeWidth:
[legend]

## Public Member Functions
| DrawableStrokeWidth (double width_)
| ~DrawableStrokeWidth (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | width (double width_)
double | width (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1973 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableStrokeWidth()

Magick::DrawableStrokeWidth::DrawableStrokeWidth | ( | double | width_ | ) |
| inline

Definition at line 1976 of file Drawable.h.

## ◆ ~DrawableStrokeWidth()

Magick::DrawableStrokeWidth::~DrawableStrokeWidth | ( | void |  | ) |

Definition at line 1426 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawableStrokeWidth::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1434 of file Drawable.cpp.

## ◆ operator()()

void Magick::DrawableStrokeWidth::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1430 of file Drawable.cpp.

## ◆ width() [1/2]

void Magick::DrawableStrokeWidth::width | ( | double | width_ | ) |
| inline

Definition at line 1988 of file Drawable.h.

## ◆ width() [2/2]

double Magick::DrawableStrokeWidth::width | ( | void |  | ) | const
| inline

Definition at line 1992 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp